ContinueResponseTiming (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.coyote

## Enum ContinueResponseTiming

- java.lang.Object
- - java.lang.Enum<ContinueResponseTiming>
  - - org.apache.coyote.ContinueResponseTiming

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContinueResponseTiming>`

      public enum ContinueResponseTiming
      extends java.lang.Enum<ContinueResponseTiming>

  Defines timing options for responding to requests that contain a '100-continue' expectations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Internal use only.
    `IMMEDIATELY` | Tomcat will automatically send the 100 intermediate response before sending the request to the servlet.
    `ON_REQUEST_BODY_READ` | Send the 100 intermediate response only when the servlet attempts to read the request's body by either: calling read on the InputStream returned by HttpServletRequest.getInputStream calling read on the BufferedReader returned by HttpServletRequest.getReader This allows the servlet to process the request headers and possibly respond before reading the request body.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContinueResponseTiming` | `fromString​(java.lang.String value)` |
    `java.lang.String` | `toString()` |
    `static ContinueResponseTiming` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContinueResponseTiming[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMEDIATELY

          public static final ContinueResponseTiming IMMEDIATELY

      Tomcat will automatically send the 100 intermediate response before sending the request to the servlet.

    - #### ON_REQUEST_BODY_READ

          public static final ContinueResponseTiming ON_REQUEST_BODY_READ

      Send the 100 intermediate response only when the servlet attempts to read the request's body by either:
      - calling read on the InputStream returned by HttpServletRequest.getInputStream
      - calling read on the BufferedReader returned by HttpServletRequest.getReader
      This allows the servlet to process the request headers and possibly respond before reading the request body.

    - #### ALWAYS

          public static final ContinueResponseTiming ALWAYS

      Internal use only. Used to indicate that the 100 intermediate response should be sent if possible regardless of the current configuration.

  - ### Method Detail

    - #### values

          public static ContinueResponseTiming[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContinueResponseTiming c : ContinueResponseTiming.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContinueResponseTiming valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static ContinueResponseTiming fromString​(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ContinueResponseTiming>`